0

Mosaico 2.1 has just been released. When I tried to upgrade from Mosaico 2.0 to 2.1 I got several errors as follows:

Unable to remove directory 
/sites/default/files/civicrm/ext/uk.co.vedaconsulting.mosaico/templates

Unable to remove directory 
/sites/default/files/civicrm/ext/uk.co.vedaconsulting.mosaico

Failed to move /tmp/tmp-aBft2l//uk.co.vedaconsulting.mosaico to /sites/default/files/civicrm/ext/uk.co.vedaconsulting.mosaico

Error loading module file (/sites/default/files/civicrm/ext/uk.co.vedaconsulting.mosaico/mosaico.php). Please restore the file or disable the module.

Following the upgrade Mosaico then became unusable.

I upgraded Flexmailer at the same time and had no problems. I also checked folder permissions and these looked fine to me. I ran the upgrade process twice and had the same errors both times. has anyone had a similar error?

I thought it might be an error in the extension and posted an issue at Error Upgrading from 2.0 to 2.1, but I guess it could also be my setup, though not sure why it would upgrade Flexmailer without any problems but then have errors upgrading Mosaico.

I am on CiviCRM 5.13.5 with Drupal 7.67

2

I had a closer look at all the folders and saw there was a symlink in the templates folder pointing to the templates folder! This must have been preventing the upgrade. I think the symlink was there because earlier we had had problems with mailings not finding the social icons and had created a symlink to solve that problem and then forgotten about it!

Once I removed the symlink Mosaico upgraded fine.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.